Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.msmqadapter.ewayconn
Class MSMQInboundWork

    java.lang.Object
      com.stc.connector.msmqadapter.ewayconn.MSMQInboundWork

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, java.lang.Runnable, javax.resource.spi.work.Work

    public class MSMQInboundWork

extends java.lang.Object
implements javax.resource.spi.work.Work, com.stc.connector.management.jca.system.mbeans.LifeCycle

This is the class that implements the Work interface and handles all inbound works

Constructor Summary
`MSMQInboundWork(MSMQEndpoint edkAS, com.stc.connector.management.util.ObjectReference aMonitor)` Creates a new instance of MSMQInboundWork.

Method Summary
`boolean` | `isStarted()`
`void` | `release()` The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible.
`void` | `run()` Main processing method for the MSMQInboundWork object
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MSMQInboundWork

    public MSMQInboundWork(MSMQEndpoint edkAS,
                           com.stc.connector.management.util.ObjectReference aMonitor)
                    throws java.lang.Exception

  Creates a new instance of MSMQInboundWork.

  Parameters:
    `edkAS` - The instance of MSMQEndpoint associated with this Work item.
  Throws:
    `java.lang.Exception` - MSMQ exception

Method Detail

### run

    public void run()

  Main processing method for the MSMQInboundWork object

  Specified by:
    `run` in interface `java.lang.Runnable`

### release

    public void release()

  The WorkManager might call this method to hint the active Work instance to complete execution as soon as possible. This would be called on a seperate thread other than the one currently executing the Work instance.

  Specified by:
    `release` in interface `javax.resource.spi.work.Work`

### start

    public void start()

  Specified by:
    `start` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.start()`

### stop

    public void stop()

  Specified by:
    `stop` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.stop()`

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `com.stc.connector.management.jca.system.mbeans.LifeCycle`
  See Also:
    `LifeCycle.isStarted()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for MSMQ API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD